%
% A03.m
%
% Fine Structure Constant
%
% Programming Concepts:  read in a previously saved set of variables from a
%                           .mat file and use those values to calculate the
%                           fine structure consant
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows

% loads the variables stored in the file constants.mat into memory
load('constants');

% calculate the fine structure constant
alpha = e^2 / (hbar * c * 4 * pi * eps0);

% display the reciprical of the fine structure consant to 5 decimal places
fprintf('fine structure constant = 1 / %.5f\n',1/alpha)
